Index Source Files Annotated Class List Alphabetical Class List Class Hierarchy Graphical Class Hierarchy

# FIX::TagNotDefinedForMessage Struct Reference

Field does not belong to message. More...

`#include <Exceptions.h>`

Inheritance diagram for FIX::TagNotDefinedForMessage:
[legend]
Collaboration diagram for FIX::TagNotDefinedForMessage:
[legend]

List of all members.

## Public Member Functions

| TagNotDefinedForMessage (int f=0, const std::string &what="")

## Public Attributes

int | field

## Detailed Description

Field does not belong to message.

Definition at line 119 of file Exceptions.h.

## Constructor & Destructor Documentation

FIX::TagNotDefinedForMessage::TagNotDefinedForMessage | ( | int | f = `0`,
|  | const std::string & | what = `""` |
| ) |  |  | `[inline]`

Definition at line 121 of file Exceptions.h.

    00122     : Exception( "Tag not defined for this message type", what ),
    00123                  field( f ) {}

## Member Data Documentation

int FIX::TagNotDefinedForMessage::field

Definition at line 124 of file Exceptions.h.

Referenced by FIX::Session::next().

The documentation for this struct was generated from the following file:

- /home/omiller/Development/autobuild/quickfix/src/C++/Exceptions.h